Name: libibverbs
Version: 1.1.6
Release: 3%{?dist}
Summary: A library for direct userspace use of RDMA (InfiniBand/iWARP) hardware
Group: System Environment/Libraries
License: GPLv2 or BSD
Url: http://openfabrics.org/
Source: http://openfabrics.org/downloads/verbs/libibverbs-%{version}.tar.gz
Patch0: libibverbs-1.1.5-memcpy.patch
Patch1: libibverbs-1.1.6-error.patch
Patch2: libibverbs-1.1.6-size.patch
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
# No s390/s390x packages
ExcludeArch: s390 s390x
Requires: openib >= 1.0
%ifnarch ia64
BuildRequires: valgrind-devel
%endif
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
libibverbs is a library that allows userspace processes to use RDMA
"verbs" as described in the InfiniBand Architecture Specification and
the RDMA Protocol Verbs Specification.  This includes direct hardware
access from userspace to InfiniBand/iWARP adapters (kernel bypass) for
fast path operations.

For this library to be useful, a device-specific plug-in module should
also be installed.

%package devel
Summary: Development files for the libibverbs library
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Header files for the libibverbs library.

%package static
Summary: Static version of the libibverbs library
Group: System Environment/Libraries
Requires: %{name}-devel = %{version}-%{release}

%description static
Static version of the libibverbs library.

%package utils
Summary: Examples for the libibverbs library
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libibverbs-driver.%{_arch}

%description utils
Useful libibverbs example programs such as ibv_devinfo, which
displays information about RDMA devices.

%prep
%setup -q
%patch0 -p1 -b .memcpy
%patch1 -p1 -b .error
%patch2 -p1 -b .size

%build
%ifnarch ia64
%configure --with-valgrind
%else
%configure
%endif
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
mkdir -p -m755 %{buildroot}%{_sysconfdir}/libibverbs.d
# remove unpackaged files from the buildroot
rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%dir %{_sysconfdir}/libibverbs.d
%{_libdir}/libibverbs*.so.*
%doc AUTHORS COPYING ChangeLog README

%files devel
%defattr(-,root,root,-)
%{_libdir}/lib*.so
%{_includedir}/*
%{_mandir}/man3/*

%files static
%defattr(-,root,root,-)
%{_libdir}/*.a

%files utils
%defattr(-,root,root,-)
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Fri Aug 24 2012 Doug Ledford <dledford@redhat.com> - 1.1.6-3.el5
- Keep ibv_rc_pingpong test from failing when given a size argument
  outside of reason
- Resolves: bz571779

* Fri Aug 10 2012 Doug Ledford <dledford@redhat.com> - 1.1.6-2.el5
- Change the static package back to the right name so that the multilib
  setup is not fooled (build system requirement)
- Related: bz771441

* Thu Aug 02 2012 Doug Ledford <dledford@redhat.com> - 1.1.6-1.el5
- Backport latest rhel6 libibverbs to rhel5
- Update build requires for new valgrind packaging
- Related: bz787610
- Resolves: bz578640

* Thu Feb 18 2010 Doug Ledford <dledford@redhat.com> - 1.1.3-2.el5
- Add requires of libibverbs-driver
- Resolves: bz559789

* Mon Dec 21 2009 Doug Ledford <dledford@redhat.com> - 1.1.3-1.el5
- New upstream version with several bug fixes
- Related: bz518218

* Mon Jun 22 2009 Doug Ledford <dledford@redhat.com> - 1.1.2-4.el5
- Add the ppc write memory barrier patch back in
- Related: bz506258

* Fri Jun 19 2009 Doug Ledford <dledford@redhat.com> - 1.1.2-3.el5
- Remove XRC support since it's likely to change during integration with
  upstream sources
- Compile with valgrind support (all except ia64 where valgrind doesn't
  exist)
- Resolves: bz506258, bz504284

* Wed Apr 15 2009 Doug Ledford <dledford@redhat.com> - 1.1.2-2.el5.xrc
- Update to ofed-1.4.1-rc3 libibverbs, which has xrc support in the tarball
  even though it has the same version release as Roland's upstream tarball,
  and Roland's upstream tarball does *not* have xrc support yet, so
  rename the tarball appropriately.
- Remove unneeded patch
- Related: bz459652

* Tue Sep 16 2008 Doug Ledford <dledford@redhat.com> - 1.1.2-1
- Update to latest upstream version
- Add ppc wmb patch
- Add requires on openib base package
- Resolves: bz451453, bz459521

* Thu Apr 10 2008 Doug Ledford <dledford@redhat.com> - 1.1.1-9
- Re-add a patch that was in the OFED 1.2 libibverbs but was lost

* Thu Jan 24 2008 Doug Ledford <dledford@redhat.com> - 1.1.1-8
- Bump number to something higher than last libibverbs from openib package
- Related bz428197

* Tue Jan 15 2008 Doug Ledford <dledford@redhat.com> - 1.1.1-0.2
- Don't build s390 or s390x

* Tue Jan 15 2008 Doug Ledford <dledford@redhat.com> - 1.1.1-0.1
- Ressurect dead package with latest release

* Thu Feb 2 2006 Doug Ledford <dledford@redhat.com>
- Bump version and rebuild with newer gcc

* Wed Nov 30 2005 Doug Ledford <dledford@redhat.com>
- Update source to svn revision 4265

* Tue Nov 22 2005 Doug Ledford <dledford@redhat.com>
- Update the files listing for the devel package
- Add ppc64 to the build matrix

* Mon Nov 7 2005 Doug Ledford <dledford@redhat.com>
- Initial import to RHEL-4 based upon Roland Drier's FC-4 package
- Add %{_libdir}/infiniband as an rpm owned directory and add a
  config entry to /etc/ld.so.conf.d
